Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# `incus storage volume import`

Import custom storage volumes

## Synopsis

Description: Import backups of custom volumes including their snapshots.

    incus storage volume import [<remote>:]<pool> <backup file> [<volume name>] [flags]

## Examples

      incus storage volume import default backup0.tar.gz
      		Create a new custom volume using backup0.tar.gz as the source.

## Options

          --target   Cluster member name
          --type     Import type, backup or iso (default "backup")

## Options inherited from parent commands

          --debug          Show all debug messages
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus storage volume - Manage storage volumes